<?php

namespace GriffinForms\Admin\App\Html\Widgets\LeftSidebar;

class Format extends \GriffinForms\Admin\App\Html\Widgets\Format
{
    protected function iconMenuItem($icon, $name, $content, $badge = '')
    {
        echo '<div id="griffinforms-app-leftsidebar-menuitem-' . esc_attr($name) . '" class="griffinforms-app-leftsidebar-menuitem d-flex p-2">';
        echo '<div class="me-2">';
        $this->mIcon($icon, '18');
        echo '</div>';
        echo '<div class="">';
        echo esc_html($content);
        echo wp_kses_post($badge);
        echo '</div>';
        echo '</div>';
    }

    protected function imgMenuItem($img_src, $id, $name)
    {
        echo '<div id="griffinforms-app-leftsidebar-menuitem-folder-' . absint($id) . '" class="griffinforms-app-leftsidebar-menuitem d-flex align-items-center px-2 py-1" role="button">';
        echo '<div class="me-2">';
        echo '<img src="' . esc_url($img_src) .'" width="14">';
        echo '</div>';
        echo '<div class="">';
        echo esc_html($name);
        echo '</div>';
        echo '</div>';
    }
}